MappableGraphComponent< BAS >::EdgeMap< V > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions | Private Member Functions
MappableGraphComponent< BAS >::EdgeMap< V > Class Template Reference

## Detailed Description

### template<typename BAS = BaseGraphComponent>
template<typename V>
class lemon::concepts::MappableGraphComponent< BAS >::EdgeMap< V >

Standard graph map for the edges. It conforms to the ReferenceMap concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for MappableGraphComponent< BAS >::EdgeMap< V >:
[legend]

## Public Member Functions
| EdgeMap (const MappableGraphComponent &graph)
| Construct a new map. More...
| EdgeMap (const MappableGraphComponent &graph, const V &value)
| Construct a new map with default value. More...
Public Member Functions inherited from GraphMap< MappableGraphComponent, Edge, V >
| GraphMap (const MappableGraphComponent &)
| Construct a new map. More...
| GraphMap (const MappableGraphComponent &, const Value &)
| Construct a new map with default value. More...
Public Member Functions inherited from ReferenceMap< Edge, V, V &, const V & >
Reference | operator[] (const Key &)
| Returns a reference to the value associated with the given key.
ConstReference | operator[] (const Key &) const
| Returns a const reference to the value associated with the given key.
void | set (const Key &k, const Value &t)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadWriteMap< K, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadMap< K, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
Public Member Functions inherited from WriteMap< K, T >
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
| WriteMap ()
| Default constructor.

## Private Member Functions
| EdgeMap (const EdgeMap &nm)
| Copy constructor. More...
template<typename CMap >
EdgeMap & | operator= (const CMap &)
| Assignment operator. More...

## Additional Inherited Members
Public Types inherited from GraphMap< MappableGraphComponent, Edge, V >
typedef Edge | Key
| The key type of the map.
typedef V | Value
| The value type of the map.
typedef Value & | Reference
| The reference type of the map.
typedef const Value & | ConstReference
| The const reference type of the map.
Public Types inherited from ReferenceMap< Edge, V, V &, const V & >
typedef True | ReferenceMapTag
| Tag for reference maps.
typedef Edge | Key
| The key type of the map.
typedef V | Value
| The value type of the map. (The type of objects associated with the keys).
typedef V & | Reference
| The reference type of the map.
typedef const V & | ConstReference
| The const reference type of the map.
Public Types inherited from ReadWriteMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from ReadMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from WriteMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).

## Constructor & Destructor Documentation

EdgeMap | ( | const MappableGraphComponent & | graph | ) |
| inlineexplicit

Construct a new map for the graph.

EdgeMap | ( | const MappableGraphComponent & | graph,
|  | const V & | value
| ) |  |
| inline

Construct a new map for the graph and initalize the values.

EdgeMap | ( | const EdgeMap< V > & | nm | ) |
| inlineprivate

Copy Constructor.

## Member Function Documentation

EdgeMap& operator= | ( | const CMap & |  | ) |
| inlineprivate

Assignment operator.